![digiview-banner](https://user-images.githubusercontent.com/956646/118431082-def7c080-b6d5-11eb-913e-40b6fc58a861.png)

DigiView is an Android app that allows you to get a live preview from your DJI FPV Goggles (V1 & V2).

Working with Android 7+ and devices supporting USB Host mode.

[Is my device Compatible?](SupportedDevices.md) (non-exhaustive)

[DigiView Wiki](https://github.com/fpvout/fpvout.com/wiki)

## Download
You can download the **Alpha** Release [here](https://github.com/fpvout/fpv_viewer_android/releases/download/v0.1.0/DigiView_0.1.0_ALPHA.apk).

**Note:** App is still in development so you might run into some bugs or even a crash.

## Instructions
- Power on your goggles.
- Power on your drone.
- Plug the USB cable from your goggles into your phone (if using an OTG adapter, that goes into your phone).
- Automatic launch is enabled so app should launch. If not, just launch app manually.
- Wait a bit and video should start streaming.
- If there is no video after a few seconds, it's frozen or slowed down, try to unplug the USB cable and plug it back in.

If there is any other issues, please check our [Discord server](https://discord.gg/uGYMNByeTH), some people might help you there.

## Known Issues
- **You might need to set Auto temp control off on your Vista/Air unit (under Settings > Device in goggle menu) to get it to work**.
- Some people reported it's working best in 50mbps mode
- Concerning hardware, USB-C to USB-C cables sometimes don't work depending on the phone you're using. in that case, an USB OTG adapter is the best option.
- You *may* need to activate USB OTG in your Android settings to get the fpv goggles detected.
- See [open issues](https://github.com/fpvout/DigiView-Android/issues) for more or to report a new issue.

## Development
- We will put more info here in the near future.

## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change. Most PRs should be based on and target `dev` branch.

## They deserve some credits!
- [jlucidar](https://github.com/jlucidar) - Lead developer - [Donate](https://paypal.me/jlucidar) - [Youtube](https://www.youtube.com/channel/UCBbyqtxntnlF6Cn_8ezkTLQ)
- [omouren](https://github.com/omouren) - Some really appreciated stability fixes! - [Donate](https://paypal.me/omouren) - [Youtube](https://www.youtube.com/channel/UCJi-wllO8GY5f9k8gB_VGTg)
- [vinayselvaraj](https://github.com/vinayselvaraj) - stopped the screen from sleeping!
- [Joonas](https://fpv.wtf/) - Found the secret packet - [Donate](https://www.buymeacoffee.com/fpv.wtf)
- [D3VL](https://d3vl.com) - Who is orchestrating all that stuff - [Donate](https://www.buymeacoffee.com/d3vl)

Please make sure to check these guys out! And feel free to donate ;)

## Made with love using:
- [Exoplayer](https://exoplayer.dev/)
- [Gidolinya font](https://github.com/larsenwork/Gidole)

## License
[MIT](https://choosealicense.com/licenses/mit/)
